// Zmen class radku row a zaznamenej to v xml dokumentu
function change_class(row,row_number) {
   if(row.className!="chosen1" && row.className!="chosen2" && !event.altKey) {
      row.className="chosen1";
      document.XMLDocument.selectSingleNode("/table//rows/row[@number='"+row_number+"']/@chosen").text="1";
   }
   else if(row.className!="chosen2" && event.altKey) {
      row.className="chosen2";
      document.XMLDocument.selectSingleNode("/table//rows/row[@number='"+row_number+"']/@chosen").text="2";
   }
   else {
      row.className="";
      document.XMLDocument.selectSingleNode("/table//rows/row[@number='"+row_number+"']/@chosen").text="0";
   }
}

// Serad radky dle sloupce col_number
function sort(col_number) {
   var s = document.XSLDocument.selectSingleNode("//xsl:apply-templates[@id='row']/@order-by");
   if(s.value==("*["+col_number+"]")) {
      s.value="-"+s.value;
   }
   else {
      s.value="*["+col_number+"]";
   }
   var d = document.XMLDocument.selectSingleNode("/table");
   restore.innerHTML=d.transformNode(document.XSLDocument);
}

// Zobraz jen radky s prislusnym @chosen
function filtr(chosen) {
   var s = document.XSLDocument.selectSingleNode("//xsl:apply-templates[@id='row']/@select");
   if(chosen>=0) {
      s.value = "row[@chosen='" +chosen+ "']";
   }
   else {
      s.value = "row";
   }
   var d = document.XMLDocument.selectSingleNode("/table");
   restore.innerHTML=d.transformNode(document.XSLDocument);
}

// Vem radkum zmen udaj @chosen v xml a prekresli - "vse odoznac"
function unselect_fun(chosen) {
   var s = document.XMLDocument.selectNodes("/table//rows/row");
   while(node=s.nextNode()) {
      node.selectSingleNode("@chosen").text=chosen;
   }
   var d = document.XMLDocument.selectSingleNode("/table");
   restore.innerHTML=d.transformNode(document.XSLDocument);
}

// Dialogove okno specialniho nastaveni
function spec_change_window(col_number) {
   // var obj=parentWindow.event.offsetX;
   var obj=window.document.activeElement;
   var x=obj.offsetLeft;
   var y=obj.offsetTop;
   while(obj.tagName!="BODY") {
      obj=obj.offsetParent;
      x+=obj.offsetLeft;
      y+=obj.offsetTop;
   }
   window_format.style.top=y+window.document.activeElement.offsetHeight;
   window_format.style.left=x;
   var col_xmlname_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]").xml;
   var col_format_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@format").text;
   var col_type_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@type").text;
   var col_summary_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@summary").text;
   var col_show_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@show").text;
   var col_chosen_val=1*document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@chosen").text;
   var window_format_innerHTML="<p><b>" +col_xmlname_val+ "</b></p>";
   window_format_innerHTML+=document.XMLDocument.selectSingleNode("/table/query/special_settings/change_window/window[@type='" +col_type_val+ "']").xml;
   window_format.innerHTML=window_format_innerHTML;
   // naplneni aktualnimi hodnotami
   window_form.col_number.value=col_number;
   if(col_type_val) {
      window_form.col_format.value=col_format_val;
      if(col_type_val=="number" && col_summary_val=="sum") {
         window_form.col_summary_select.checked="checked";
      }
   }
   if(col_show_val) {
      window_form.col_show.checked="checked";
   }
   window_form.col_chosen.options(col_chosen_val).selected="selected";
   window_format.style.display="";
}

// Zaznam zmeny specialniho nastaveni v XML dokumentu - prekresleni
function spec_change() {
   event.returnValue = false;
   var col_number=window_form.col_number.value;
   var col_type_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@type").text;
   var col_format_val;
   var col_summary_val;
   if(col_type_val) {
      col_format_val=window_form.col_format.value;
      if(col_type_val=="number") {
         if(window_form.col_summary_select.checked) {
            col_summary_val="sum";
         }
      }
   }
   var col_show_val;
   if(window_form.col_show.checked) {
      col_show_val=1;
   }
   var col_chosen_val=window_form.col_chosen.selectedIndex;
   window.onerror=null;
   window_format.style.display="none";
   document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@format").text=col_format_val;
   document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@summary").text=col_summary_val;
   document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@show").text=col_show_val;
   document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@chosen").text=col_chosen_val;
   var d = document.XMLDocument.selectSingleNode("/table");
   restore.innerHTML=d.transformNode(document.XSLDocument);
}

// Ulozeni specialniho nastaveni
function save_fun() {
   var save_fun_innerHTML="";
   save_fun_innerHTML+="<input type=\"hidden\" name=\"database\" value=\"" +document.XMLDocument.selectSingleNode("/table/query/database").text+ "\"/>";
   save_fun_innerHTML+="<input type=\"hidden\" name=\"folder\" value=\"" +document.XMLDocument.selectSingleNode("/table/query/folder").text+ "\"/>";
   save_fun_innerHTML+="<input type=\"hidden\" name=\"query_name\" value=\"" +document.XMLDocument.selectSingleNode("/table/query/query_name").text+ "\"/>";
   save_fun_innerHTML+="<input type=\"hidden\" name=\"head\" value=\"field_name|format|summary|show|chosen\"/>";
   var col_numbers=document.XMLDocument.selectNodes("/table/cols/col").length;
   for(col_number=0;col_number<col_numbers;++col_number) {
      var col_name_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@name").text;
      var col_format_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@format").text;
      var col_summary_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@summary").text;
      var col_show_val=document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@show").text;
      var col_chosen_val=1*document.XMLDocument.selectSingleNode("/table/cols/col[" +col_number+ "]/@chosen").text;
      save_fun_innerHTML+="<input type=\"hidden\" name=\"field" +col_number+ "\" value=\"" +col_name_val+"|"+col_format_val+"|"+col_summary_val+"|"+col_show_val+"|"+col_chosen_val+ "\"/>";
   }
   form_save.innerHTML=save_fun_innerHTML;
   form_save.submit();
}

// Zobraz vsechny sloupce - skryte sloupce oznac jako neskryte
function show_all_cols() {
   var s = document.XMLDocument.selectNodes("/table/cols/col/@show");
   while(node=s.nextNode()) {
      node.text=1;
   }
   var d = document.XMLDocument.selectSingleNode("/table");
   restore.innerHTML=d.transformNode(document.XSLDocument);
}
